Initialize upload
POST
/v2/attachmentsAuthorization
api_key AuthorizationBearer <token>
API key for authentication. Use format: Bearer YOUR_API_KEY
In: header
Request Body
application/json
name*string
File name including extension (e.g. "report.pdf")
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/attachments" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"upload_url": "string"
}{
"message": "Bad request",
"code": "BAD_REQUEST",
"issues": []
}{
"message": "Unauthorized",
"code": "UNAUTHORIZED",
"issues": []
}{
"message": "Forbidden",
"code": "FORBIDDEN",
"issues": []
}{
"message": "Not found",
"code": "NOT_FOUND",
"issues": []
}{
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"issues": []
}{
"message": "Bad gateway",
"code": "BAD_GATEWAY",
"issues": []
}How is this guide?
REST API
Call the TofuPilot REST API directly over HTTP to create and query runs, units, parts, procedures, and stations from any language or environment.
Finalize upload POST
Finalize a file upload after uploading to the pre-signed URL. Validates the file and records its metadata. See its parameters and response schema.